////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
// primitives02.c
// - Illustration of the primitives drawing functions.
// - Relative coordinate scale.
////////////////////////////////////////////////////////////////////////////////


#include <tscope5.h>

int main()
{
	// open a display and set graphics parameters	
	double w, h;
	ts5_install_display();
	ts5_get_display_size(1, &w, &h);
	ts5_set_coordinate_scale(TS5_RELATIVE_COORDINATES);

	// draw pixels
	double i, j;
	ts5_clear_display();
	for (i=-1.0; i<=1.0; i+=0.1) {
		for (j=-1.0; j<=1.0; j+=0.1) {
			ts5_draw_pixel(i, j);
		}		
	}
	ts5_flip_display();
	ts5_draw_mouse_button(0.9, -0.8);
	
	// draw lines
	ts5_clear_display();
	for (i=-1.0; i<=1.0; i+=0.1) {
		ts5_draw_line(0.0, 0.0, i, 1.0);
		ts5_draw_line(0.0, 0.0, i, -1.0);
		ts5_draw_line(0.0, 0.0, 1.0, i);
		ts5_draw_line(0.0, 0.0, -1.0, i);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(0.9, -0.8);
	
	// draw rectangles
	ts5_clear_display();
	for (i=0.0; i<=1.0; i+=0.1) {
		ts5_draw_rectangle(i, i, -i, -i);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(0.9, -0.8);
	
	// draw rounded rectangles
	ts5_clear_display();
	for (i=0.0; i<=1.0; i+=0.1) {
		ts5_draw_rounded_rectangle(i, i, -i, -i, 0.1, 0.1);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(0.9, -0.8);
	
	// draw triangles
	ts5_clear_display();
	for (i=0.0; i<=1.0; i+=0.1) {
		ts5_draw_triangle(0.0, i, -i, -i/2.0, i, -i/2.0);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(0.9, -0.8);
	
	// draw circles
	ts5_clear_display();
	for (i=0.0; i<=1.0; i+=0.1) {
		ts5_draw_circle(0.0, 0.0, i);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(0.9, -0.8);
	
	// draw ellipses
	ts5_clear_display();
	for (i=0.0; i<=1.0; i+=0.1) {
		ts5_draw_ellipse(0.0, 0.0, i, i);
	}
	ts5_flip_display();
	ts5_draw_mouse_button(0.9, -0.8);
	
	// draw arcs
	for (i=0; i<=72; i++) {
		ts5_clear_display();
		ts5_draw_arc(0.0, 0.0, 0.5, i*10.0, 20.0);
		ts5_flip_display();
	}
	ts5_flip_display();
	ts5_draw_mouse_button(0.9, -0.8);
	
	return 0;
}
	
	
	