////////////////////////////////////////////////////////////////////////////////
//     
//    __                                ______
//   / /_______________  ____  ___     / ____/
//  / __/ ___/ ___/ __ \/ __ \/ _ \   /___ )  
// / /_(__  ) /__/ /_/ / /_/ /  __/  ____/ /  
// \__/____/\___/\____/ .___/\___/  /_____/   
//                   /_/                      
//     
/// \file display.h
/// Declarations of display functions
////////////////////////////////////////////////////////////////////////////////

#pragma once

#include "system.h"


#ifdef __cplusplus
extern "C" {
#endif
	
int ts5_install_display();
void ts5_clear_display();
double ts5_flip_display();

int ts5_set_active_display(const int display);
int ts5_get_active_display();

int ts5_get_num_display_adapters();
void ts5_get_display_adapter_size(const int adapter, double *w, double *h);
double ts5_get_display_adapter_width(const int adapter);
double ts5_get_display_adapter_height(const int adapter);

int ts5_set_display_adapter(const int adapter);
int ts5_get_display_adapter(const int display);
void ts5_set_display_size(double w, double h);
void ts5_get_display_size(const int display, double *w, double *h);
double ts5_get_display_width(const int display);
double ts5_get_display_height(const int display);
void ts5_set_display_position(double x, double y);
void ts5_get_display_position(const int display, double *x, double *y);
double ts5_get_display_x(const int display);
double ts5_get_display_y(const int display);
int ts5_set_refreshrate(const int rate);
int ts5_get_refreshrate(const int display);
int ts5_set_display_mode(const int mode);
int ts5_get_display_mode(const int display);
int ts5_set_vsync_mode(const int mode);
int ts5_get_vsync_mode(const int display);
int ts5_set_multisampling(const int multisampling);
int ts5_get_multisampling(const int display);

#ifdef __cplusplus
}
#endif

